# Level Interactivity
[Back](local://Manual)
The Level Interactivity documentation has been split into several parts as shown in the table on contents below. Each part links to the next and previous sections and lists the whole table of contents to make navigation easier.

Dark Forces relies on INF Scripting for most interactive elements but simple elements, such as doors, can be created using sector flags.

Note that the formatting and text is a bit different between the Force Engine Editor and the way the INF script appears in the file. To see what these differences are and why, see [Formatting Differences](local://Inf_FormattingDifferences). While the formatting itself is a bit different, the functionality and support remain the same. Also the source data is unchanged, merely the way it is presented.

**Next:** [Simple Doors & Explosive Walls](local://Inf_SimpleInteractiveElements)
## Contents
  * [Contents](local://InfScript)
  * [Simple Doors & Explosive Walls](local://Inf_SimpleInteractiveElements)
  * [INF Script Editor](local://Inf_Editor)
  * [Interactive Sectors and Walls](local://Inf_InteractiveElements)
  * [Triggers](local://Inf_Triggers)
  * [Elevators](local://Inf_Elevators)
  * [Teleporters](local://Inf_Teleporters)
  * [Variables](local://Inf_Variables)
  * [Functions](local://Inf_Functions)
  * [Tutorials](local://Inf_Tutorials)
